Bug 995722 - Mouse & keyboard stuck in sandbox -X after Gnome workspace move
Mouse & keyboard stuck in sandbox -X after Gnome workspace move
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 09:41 EDT by amturnip
Modified: 2015-06-29 20:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amturnip 2013-08-10 09:41:24 EDT
Description of problem:

After you move a "sandbox -X" window to another Gnome 3 workspace with the keyboard shortcut, the mouse and keyboard are stuck in the sandbox window, with no obvious way to liberate them or switch Gnome activities.


Version-Release number of selected component (if applicable):

$ rpm -q policycoreutils gnome-shell
policycoreutils-2.1.13-59.fc18.x86_64
gnome-shell-3.6.3.1-2.fc18.x86_64


How reproducible:  Consistently


Steps to Reproduce:

1. $ /usr/bin/sandbox -X -t sandbox_web_t /usr/bin/firefox

2. Hold Ctrl, then hold Alt, then hold Shift, then press Down, then release those keys, to move the sandbox window to the next workspace.  

3. Try to move the mouse outside the sandbox - you can't.

4. Try to bring out Gnome's mode by pressing the windows key - you can't.

I looked at "man sandbox", but I did not find clues about how the mouse gets stuck or how to release it.



Actual results:

It is not clear how to release the mouse and keyboard from the sandbox X window. 



Expected results:

It should be clear how to release the mouse and keyboard from the clutches of the sandbox X window. 



Additional info:

When the mouse isn't captured by the "sandbox -X" window, Gnome's Alt-Tab mode describes the "sandbox -X" window as Xephyr.  "man sandbox" does not mention Xephyr.  "man xephyr" does not mention mouse capture or release.  I did a web search for 'xephyr let go' and found a page that recommended Ctrl-Shift, which resolves part of the mystery of how the mouse got captured.  To release the mouse from "sandbox -X", Ctrl-Shift sometimes works and sometimes does not, or requires repeated attempts.  Sometimes it seems that Ctrl-Shift isn't working but Ctrl-Alt-Shift (the same modifiers I used with Gnome to move workspaces) is successful, but I cannot distinguish whether Alt is significant or whether one more try without it would have done just as well.

At any rate, whatever the right way to release the mouse from "sandbox -X" is, it should be clear and obvious.
Comment 1 amturnip 2013-08-10 09:56:27 EDT
Changing release to 18. This was observed in Fedora 18.
Comment 2 amturnip 2013-08-10 10:11:13 EDT
Fedora 19 exhibits the same behavior, except that sometimes the workspace switch results in the mouse being captured and sometimes it does not. Changing release to 19.

$ rpm -q policycoreutils gnome-shell
policycoreutils-2.1.14-46.4.fc19.x86_64
gnome-shell-3.8.3-3.fc19.x86_64
Comment 3 Daniel Walsh 2013-08-13 18:38:06 EDT
THis is most likely an issue with Xephyr.
Comment 4 amturnip 2014-01-05 09:30:05 EST
The problem persists with Fedora 20
Comment 5 Fedora End Of Life 2015-05-29 05:18:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 20:41:29 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.